CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

添加线方法 (ActiveX)

2023-1-4 12:50| 发布者: admin| 查看: 549| 评论: 0|来自: AutoCAD

摘要: 创建一条穿过两点的线。

创建一条穿过两点的线。

支持的平台:仅窗口

签名

工 务 局:

RetVal = object.AddLine(StartPoint, EndPoint)
对象

类型:模型空间,图纸空间

此方法适用的对象。

起点

访问:仅输入

类型:变体(双精度的三元素数组)

指定线起点的 3D WCS 坐标。

端点

访问:仅输入

类型:变体(双精度的三元素数组)

指定线端点的 3D WCS 坐标。

返回值(RetVal)

类型:线

新创建的对象。Line

言论

没有额外的评论。

例子

工 务 局:

Sub Example_AddLine()
    ' This example adds a line in model space
    
    Dim lineObj As AcadLine
    Dim startPoint(0 To 2) As Double
    Dim endPoint(0 To 2) As Double
    
    ' Define the start and end points for the line
    startPoint(0) = 1#: startPoint(1) = 1#: startPoint(2) = 0#
    endPoint(0) = 5#: endPoint(1) = 5#: endPoint(2) = 0#
    
    ' Create the line in model space
    Set lineObj = ThisDrawing.ModelSpace.AddLine(startPoint, endPoint)
    ZoomAll
    
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_AddLine()
    ;; This example adds a line in model space
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; Define the start and end points for the line
    (setq startPoint (vlax-3d-point 1 1 0)
          endPoint (vlax-3d-point 5 5 0))
    
    ;; Create the line in model space
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq lineObj (vla-AddLine modelSpace startPoint endPoint))
    (vla-ZoomAll acadObj)
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-12 02:45

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部